Ext.onReady(function(){
	
	// create grid for network views
	var networkViewGrid = Ext.create('grid.basegrid', {
        model: 'NetworkView',
		renderTo: 'networkview-list',
        width: 400,
        height: 300,
		title: 'Network Views',
        columns: [{
            text: 'Name',
			width: 150,
            dataIndex: 'name',
			field: {
                xtype: 'textfield'
            }
        },{
		   xtype: 'booleancolumn', 
           text: 'Is default',
           trueText: 'Yes',
           falseText: 'No', 
           dataIndex: 'is_default',
		   width: 100
        },{
            header: 'Comment',
			width: 140,
            dataIndex: 'comment',
			field: {
                xtype: 'textfield'
            }
		}]
    });
	
	// refresh grid with networks if user removed/updated sone network view
	// because of network view is parent object for network - some networks can be reoved/updeted too
	networkViewGrid.on('operationperformed', function(operation){
		if ('update' == operation || 'destroy' == operation){
			networkGrid.getStore().reload();
		}
	});
	
	// editor for 'network_view' field in network object - combobox which allows to select some existing network view
	var networkViewSelector = {
		xtype: 'combobox',
		store: networkViewGrid.getStore(),
		displayField:'name',
		valueField: 'name',
		queryMode: 'local'
	};
	
	// grid for networks
	var networkGrid = Ext.create('grid.basegrid', {
        model: 'Network',
		renderTo: 'network-list',
        width: 500,
        height: 300,
		title: 'Networks',
        columns: [{
            text: 'Network',
            dataIndex: 'network',
			field: {
                xtype: 'textfield'
            },
			width: 150
        },{
		   text: 'Network View',
           dataIndex: 'network_view',
		   width: 150,
		   field: networkViewSelector
        },{
            header: 'Comment',
            dataIndex: 'comment',
			field: {
                xtype: 'textfield'
            },
			width: 190
		}]
    });
	
});